Bug 65524 - mis-mounted file system on update (bind mounts)
mis-mounted file system on update (bind mounts)
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2002-05-26 17:18 EDT by Michal Jaegermann
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-25 10:58:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2002-05-26 17:18:56 EDT
Description of Problem:

I tried to update a system where the following line was present in /etc/fstab:

	/usr/share		auto    bind 		0 0

which happens to be legal and valid.

Unfortunately anaconda missed all bind mounts (other were "local" so no
serious consequences from that) and an update created a new tree below
/usr/share which, obviously, was overmounted on a reboot and other assorted
mess resulted as well.  Recovering from that without good backups would
be "interesting" and was a chore anyway.
Comment 1 Michael Fulbright 2002-06-04 11:32:19 EDT
Assigning to an engineer.
Comment 2 Jeremy Katz 2003-02-17 19:51:48 EST
Fixed in CVS
Comment 3 Brent Fox 2003-05-25 10:58:56 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.